import { CSSProperties } from "react";
export type InputProps = {
    name: string;
    disabled?: boolean;
    style?: CSSProperties;
    placeholder?: string;
    type?: "text" | "password" | "number";
};
declare const Input: {
    ({ disabled, name, style, placeholder, type, }: InputProps): JSX.Element;
    Label: ({ children, style }: {
        children: import("react").ReactNode;
        style?: CSSProperties | undefined;
    }) => JSX.Element;
};
export default Input;
