import { FieldProps } from "formik";
import { Dispatch, ReactNode, SetStateAction } from "react";
export type SelectValue = string | number | null;
type SelectParams = {
    fieldProps: FieldProps;
    isOpen: boolean;
    setIsOpen: Dispatch<SetStateAction<boolean>>;
    anchor: HTMLButtonElement | null;
    setAnchor: Dispatch<SetStateAction<HTMLButtonElement | null>>;
};
export declare const SelectContext: import("react").Context<SelectParams | undefined>;
type ProviderProps = {
    children?: ReactNode;
    fieldProps: FieldProps<SelectValue>;
};
declare const SelectProvider: ({ children, fieldProps }: ProviderProps) => JSX.Element;
export declare const useSelectContext: () => SelectParams;
export default SelectProvider;
